=== debian/changelog ===
ros-rolling-bosch-locator-bridge (2.1.9-2jammy) jammy; urgency=high

  * Try to stop everything before setting config list (#35 <https://github.com/boschglobal/locator_ros_bridge/issues/35>)
  * Add errorFlags and infoFlags fields to ClientLocalizationPose (#33 <https://github.com/boschglobal/locator_ros_bridge/issues/33>)
  * Update to ROKIT Locator version 1.6
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.8-2jammy) jammy; urgency=high

  * Support setting arbitrary Locator config entries
  * Update module versions in server node
  * Use mutex to just make one json_rpc_call at a time
  * Contributors: Fabian König, Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.7-2jammy) jammy; urgency=high

  * Fixed a bug that could cause latency in localization poses
  * Remove tf broadcaster
  * Check if laser scan message is valid
  * Add refresh timer to service callback group to avoid overlapping json rpc calls
  * Update to ROKIT Locator version 1.5
  * Contributors: Fabian König, Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 07 Sep 2022 22:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.6-2jammy) jammy; urgency=high

  * fix module version check for compatibility with v1.4.0
  * add parameter to enable intensities
  * Contributors: Fabian König, Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 12 Jun 2022 22:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.5-2jammy) jammy; urgency=high

  * update to ROKIT Locator version 1.4
  * add interface for second laser
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Tue, 15 Feb 2022 23:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.4-2jammy) jammy; urgency=high

  * handle NaNs in range values
  * add service for getting config entries
  * add server interface
  * Contributors: Stefan Laible, robertwil

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 23 Jan 2022 23:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.3-2jammy) jammy; urgency=high

  * update to ROKIT Locator version 1.3
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 01 Sep 2021 22:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.2-2jammy) jammy; urgency=high

  * guarantee that duration_rotate is greater zero
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Wed, 21 Jul 2021 22:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.1-2jammy) jammy; urgency=high

  * add tf2_geometry_msgs dependency
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Tue, 18 May 2021 22:00:00 -0000

ros-rolling-bosch-locator-bridge (2.1.0-2jammy) jammy; urgency=high

  * initial version
  * Contributors: Stefan Laible

 -- Stefan Laible <stefan.laible@de.bosch.com>  Sun, 16 May 2021 22:00:00 -0000
